#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	e2fsprogs
Version		:	1.47.0
Release		:	17.0.10.rel%{?dist}
Summary		:	Utilities for managing ext2, ext3, and ext4 filesystems
Group		:	System Environment/Base

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPLv2
URL		:	http://e2fsprogs.sourceforge.net
			#https://mirrors.edge.kernel.org/pub/linux/kernel/people/tytso/e2fsprogs

Source0		:	%{name}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	eudev-devel
#-----------------------------------------------------------------------------
%description
The e2fsprogs package contains a number of utilities for creating,
checking, modifying, and correcting any inconsistencies in second,
third and fourth extended (ext2/ext3/ext4) filesystems. E2fsprogs
contains e2fsck (used to repair filesystem inconsistencies after an
unclean shutdown), mke2fs (used to initialize a partition to contain
an empty ext2 filesystem), debugfs (used to examine the internal
structure of a filesystem, to manually repair a corrupted
filesystem, or to create test cases for e2fsck), tune2fs (used to
modify filesystem parameters), and most of the other core ext2fs
filesystem utilities.

You should install the e2fsprogs package if you need to manage the
performance of an ext2, ext3, or ext4 filesystem.

#-----------------------------------------------------------------------------
%files			
%defattr(-, root,root,-)
%doc NOTICE README RELEASE-NOTES
/sbin/*
%{_sysconfdir}*
%{_bindir}/*
%{_includedir}/*.h
%{_includedir}/e2p/*.h
%{_includedir}/et/*.h
%{_includedir}/ext2fs/*.h
%{_includedir}/ss/*.h
%{_sbindir}/*
%{_libdir}/udev/rules.d/96-e2scrub.rules
%{_libdir}/e2initrd_helper
%{_libdir}/lib*.so*
%{_libdir}/pkgconfig/*.pc
%{_libdir}/%{name}/e2scrub_all_cron
%{_datadir}/et/*.awk
%{_datadir}/ss/*.{awk,sed}
%{_datadir}/locale/*/LC_MESSAGES/%{name}.mo
%{_mandir}/man1/*.1.gz
%{_mandir}/man3/*.3.gz
%{_mandir}/man5/*.5.gz
%{_mandir}/man8/*.8.gz
%{_infodir}/*.gz

#-----------------------------------------------------------------------------
%postun
/usr/sbin/ldconfig

%post
/usr/sbin/ldconfig

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

./configure						\
        --prefix=%{_prefix}				\
	--exec-prefix=%{_exec_prefix}			\
        --sysconfdir=%{_sysconfdir}			\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\
	--with-root-prefix=""				\
	--with-udev-rules-dir=%{_libdir}/udev/rules.d	\
	--enable-elf-shlibs				\
	--disable-libblkid				\
	--disable-libuuid				\
	--disable-uuidd					\
	--disable-fsck					\


%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make} DESTDIR=%{buildroot} install
%{__make} DESTDIR=%{buildroot} install-libs

%{__rm} -fr %{buildroot}%{_infodir}/dir

%{__chmod}  u+w %{buildroot}%{_libdir}/*.a
gunzip %{buildroot}%{_infodir}/libext2fs.info.gz
install-info 						\
	--dir-file=%{buildroot}%{_infodir}/dir		\
	%{buildroot}%{_infodir}/libext2fs.info

makeinfo -o      doc/com_err.info lib/et/com_err.texinfo
install -m644 doc/com_err.info  %{buildroot}%{_infodir}
install-info						\
	--dir-file=%{buildroot}%{_infodir}/dir		\
	%{buildroot}%{_infodir}/com_err.info

#cleaning empty directory
%{__rm} -fr %{buildroot}%{_infodir}/dir

#To remove libtool library and static library
find 								\
	%{buildroot}%{_libdir}					\
	\(							\
		 -name \*.la					\
		 -o						\
		 -name \*.a					\
	 \)							\
	-delete

#-----------------------------------------------------------------------------
%changelog
